Orxonox: OIS::Exception Class Reference

# OIS::Exception Class Reference

`#include <src/ois/OISException.h>`

List of all members.

## Public Member Functions

| Exception (OIS_ERROR err, const char *str, int line, const char *file)
| Creates exception object.
virtual const char * | what () const throw ()
| ~Exception () throw ()

## Public Attributes

const char * | eFile
| The source file.
const int | eLine
| The line number it occurred on.
const char * | eText
| A message passed along when the exception was raised.
const OIS_ERROR | eType
| The type of exception raised.

## Private Member Functions

| Exception ()
| Hidden default.

## Detailed Description

Remarks:
  Class for handling OIS exceptions. Much cleaner than checking every method for reurn value. Inherits from std::exception so you can simply log those messages if you want to be generic. Also note that this has a source file now since OSX was not finding the OIS::Exception symbol which would cause program abortion with now correponding exception type.

## Constructor & Destructor Documentation

OIS::Exception::Exception | ( |  | ) | `[inline, private]`

Hidden default.

OIS::Exception::Exception | ( | OIS_ERROR | err,
|  | const char * | str,
|  | int | line,
|  | const char * | file |
| ) |  |  | `[inline]`

Creates exception object.

OIS::Exception::~Exception | ( |  | ) | throw ()`[inline]`

## Member Function Documentation

const char * Exception::what | ( |  | ) | const throw ()`[virtual]`

References eText.

Referenced by orxonox::InputManager::_reload(), and orxonox::InputManager::initialise().

## Member Data Documentation

const char* OIS::Exception::eFile

The source file.

const int OIS::Exception::eLine

The line number it occurred on.

const char* OIS::Exception::eText

A message passed along when the exception was raised.

Referenced by orxonox::InputManager::_initialiseJoySticks(), orxonox::InputManager::_initialiseMouse(), and what().

const OIS_ERROR OIS::Exception::eType

The type of exception raised.

The documentation for this class was generated from the following files:

- src/ois/OISException.h
- src/ois/OISException.cpp